<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-488"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXTabItem%28%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXTabItem()分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_x_h_x_tab_item_07_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> |
<a href="category_x_h_x_tab_item_07_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXTabItem()分类 参考</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:aa3307a558eca5631175ec7c8d7d30279"><td class="memItemLeft" align="right" valign="top">UILabel *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#aa3307a558eca5631175ec7c8d7d30279">badgeLabel</a></td></tr>
<tr class="separator:aa3307a558eca5631175ec7c8d7d30279"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa52674ec3dbbd9e0c8be2c30b03c536f"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#aa52674ec3dbbd9e0c8be2c30b03c536f">verticalOffset</a></td></tr>
<tr class="memdesc:aa52674ec3dbbd9e0c8be2c30b03c536f"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image与title 竖直方向上的偏移量  <a href="category_x_h_x_tab_item_07_08.html#aa52674ec3dbbd9e0c8be2c30b03c536f">更多...</a><br/></td></tr>
<tr class="separator:aa52674ec3dbbd9e0c8be2c30b03c536f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad54412001a063c7bd9561fd678e51117"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#ad54412001a063c7bd9561fd678e51117">spacing</a></td></tr>
<tr class="memdesc:ad54412001a063c7bd9561fd678e51117"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image与title 间距  <a href="category_x_h_x_tab_item_07_08.html#ad54412001a063c7bd9561fd678e51117">更多...</a><br/></td></tr>
<tr class="separator:ad54412001a063c7bd9561fd678e51117"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a674381d009e72e33b4e977560a6e7081"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#a674381d009e72e33b4e977560a6e7081">numberBadgeMarginTop</a></td></tr>
<tr class="separator:a674381d009e72e33b4e977560a6e7081"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5298d3ac944129cf4fe2aac33cd062b5"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#a5298d3ac944129cf4fe2aac33cd062b5">numberBadgeCenterMarginRight</a></td></tr>
<tr class="separator:a5298d3ac944129cf4fe2aac33cd062b5"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae722e84c4f25e72b330cfc865a5f5c5d"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#ae722e84c4f25e72b330cfc865a5f5c5d">numberBadgeTitleHorizonalSpace</a></td></tr>
<tr class="separator:ae722e84c4f25e72b330cfc865a5f5c5d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a706d8e2499d3db442eb6895f2bba2fe0"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#a706d8e2499d3db442eb6895f2bba2fe0">numberBadgeTitleVerticalSpace</a></td></tr>
<tr class="separator:a706d8e2499d3db442eb6895f2bba2fe0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab15abd16c3f1e7359447cf31c8dcbd75"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#ab15abd16c3f1e7359447cf31c8dcbd75">dotBadgeMarginTop</a></td></tr>
<tr class="separator:ab15abd16c3f1e7359447cf31c8dcbd75"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a24890c854841b0d0d4abe3501f1e8c72"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#a24890c854841b0d0d4abe3501f1e8c72">dotBadgeCenterMarginRight</a></td></tr>
<tr class="separator:a24890c854841b0d0d4abe3501f1e8c72"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae669e0ff63a791ca577c8011bf5a8a56"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#ae669e0ff63a791ca577c8011bf5a8a56">dotBadgeSideLength</a></td></tr>
<tr class="separator:ae669e0ff63a791ca577c8011bf5a8a56"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7ef253e175c7510b07ed0399c0f214b6"><td class="memItemLeft" align="right" valign="top">UIView *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tab_item_07_08.html#a7ef253e175c7510b07ed0399c0f214b6">redDotView</a></td></tr>
<tr class="separator:a7ef253e175c7510b07ed0399c0f214b6"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">属性说明</h2>
<a id="aa3307a558eca5631175ec7c8d7d30279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3307a558eca5631175ec7c8d7d30279">◆&nbsp;</a></span>badgeLabel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UILabel*) badgeLabel</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a24890c854841b0d0d4abe3501f1e8c72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24890c854841b0d0d4abe3501f1e8c72">◆&nbsp;</a></span>dotBadgeCenterMarginRight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) dotBadgeCenterMarginRight</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab15abd16c3f1e7359447cf31c8dcbd75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab15abd16c3f1e7359447cf31c8dcbd75">◆&nbsp;</a></span>dotBadgeMarginTop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) dotBadgeMarginTop</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae669e0ff63a791ca577c8011bf5a8a56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae669e0ff63a791ca577c8011bf5a8a56">◆&nbsp;</a></span>dotBadgeSideLength</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) dotBadgeSideLength</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a5298d3ac944129cf4fe2aac33cd062b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5298d3ac944129cf4fe2aac33cd062b5">◆&nbsp;</a></span>numberBadgeCenterMarginRight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) numberBadgeCenterMarginRight</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a674381d009e72e33b4e977560a6e7081"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a674381d009e72e33b4e977560a6e7081">◆&nbsp;</a></span>numberBadgeMarginTop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) numberBadgeMarginTop</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae722e84c4f25e72b330cfc865a5f5c5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae722e84c4f25e72b330cfc865a5f5c5d">◆&nbsp;</a></span>numberBadgeTitleHorizonalSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) numberBadgeTitleHorizonalSpace</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a706d8e2499d3db442eb6895f2bba2fe0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a706d8e2499d3db442eb6895f2bba2fe0">◆&nbsp;</a></span>numberBadgeTitleVerticalSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) numberBadgeTitleVerticalSpace</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ef253e175c7510b07ed0399c0f214b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ef253e175c7510b07ed0399c0f214b6">◆&nbsp;</a></span>redDotView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIView*) redDotView</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ad54412001a063c7bd9561fd678e51117"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad54412001a063c7bd9561fd678e51117">◆&nbsp;</a></span>spacing</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) spacing</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>Image与title 间距 </p>

</div>
</div>
<a id="aa52674ec3dbbd9e0c8be2c30b03c536f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa52674ec3dbbd9e0c8be2c30b03c536f">◆&nbsp;</a></span>verticalOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) verticalOffset</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>Image与title 竖直方向上的偏移量 </p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Tabbar/<a class="el" href="_x_h_x_tab_item_8m.html">XHXTabItem.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_x_h_x_tab_item_07_08.html">XHXTabItem()</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>